Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.event
Class JspScopeEvent

    java.lang.Object
      |
      +--oracle.jsp.event.JspScopeEvent

public class JspScopeEvent
extends java.lang.Object

The JSP "out of scope" event.

Constructor Summary
`JspScopeEvent(javax.servlet.ServletContext sc, java.lang.Object container, java.lang.String name, int scope)`

Method Summary
`javax.servlet.ServletContext` | `getApplication()` Returns the JSP application (ServletContext) that this object is running in.
`java.lang.Object` | `getContainer()` Returns the JSP object that manages this scope.
`java.lang.String` | `getName()` Returns the attribute name that the object being notified is registered with.
`int` | `getScope()` Returns the JSP scope that is ending.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspScopeEvent

    public JspScopeEvent(javax.servlet.ServletContext sc,
                         java.lang.Object container,
                         java.lang.String name,
                         int scope)

Method Detail

### getContainer

    public java.lang.Object getContainer()

  Returns the JSP object that manages this scope. This is either the application, session, request, or page object on which your object is attached.

### getName

    public java.lang.String getName()

  Returns the attribute name that the object being notified is registered with. If the `JspScopeListener` is not implemented by the object the notification pertains to, the listener calls the container's `getAttribute` method to acquire the object.

### getScope

    public int getScope()

  Returns the JSP scope that is ending. The scope is represented by the four `javax.servlet.jsp.PageContext` constants `PAGE_SCOPE`, `REQUEST_SCOPE`, `SESSION_SCOPE`, and `APPLICATION_SCOPE`.

### getApplication

    public javax.servlet.ServletContext getApplication()

  Returns the JSP application (ServletContext) that this object is running in. The application is provided so clients can log necessary information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g (9.0.4) B10387-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © YYYY, Oracle. All Rights Reserved.